package com.xkrs.model.entity;

import javax.persistence.*;

/**
 * @Author: XinYi Song
 * @Date: 2022/1/19 14:08
 */
@Entity
@Table(name = "data_source")
public class DataSource {
    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "data_source_seq_gen")
    @SequenceGenerator(name = "data_source_seq_gen", sequenceName = "data_source_id_seq",allocationSize = 1)
    private Integer id;

    /**
     * 机种
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String dataModelNumber;

    /**
     * 成型批号
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String dataBatchNumber;

    /**
     * 机器
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String dataMachineCode;

    /**
     * 模具
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String productNumber;

    /**
     * 材料
     */
    private String material;

    /**
     * 变量值
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String dataName;

    /**
     * 监测的数值
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String numericalValue;

    public DataSource() {
    }

    public DataSource(Integer id, String dataModelNumber, String dataBatchNumber, String dataMachineCode, String productNumber, String material, String dataName, String numericalValue) {
        this.id = id;
        this.dataModelNumber = dataModelNumber;
        this.dataBatchNumber = dataBatchNumber;
        this.dataMachineCode = dataMachineCode;
        this.productNumber = productNumber;
        this.material = material;
        this.dataName = dataName;
        this.numericalValue = numericalValue;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getDataModelNumber() {
        return dataModelNumber;
    }

    public void setDataModelNumber(String dataModelNumber) {
        this.dataModelNumber = dataModelNumber;
    }

    public String getDataBatchNumber() {
        return dataBatchNumber;
    }

    public void setDataBatchNumber(String dataBatchNumber) {
        this.dataBatchNumber = dataBatchNumber;
    }

    public String getDataMachineCode() {
        return dataMachineCode;
    }

    public void setDataMachineCode(String dataMachineCode) {
        this.dataMachineCode = dataMachineCode;
    }

    public String getProductNumber() {
        return productNumber;
    }

    public void setProductNumber(String productNumber) {
        this.productNumber = productNumber;
    }

    public String getMaterial() {
        return material;
    }

    public void setMaterial(String material) {
        this.material = material;
    }

    public String getDataName() {
        return dataName;
    }

    public void setDataName(String dataName) {
        this.dataName = dataName;
    }

    public String getNumericalValue() {
        return numericalValue;
    }

    public void setNumericalValue(String numericalValue) {
        this.numericalValue = numericalValue;
    }

    @Override
    public String toString() {
        return "DataSource{" +
                "id=" + id +
                ", dataModelNumber='" + dataModelNumber + '\'' +
                ", dataBatchNumber='" + dataBatchNumber + '\'' +
                ", dataMachineCode='" + dataMachineCode + '\'' +
                ", productNumber='" + productNumber + '\'' +
                ", material='" + material + '\'' +
                ", dataName='" + dataName + '\'' +
                ", numericalValue='" + numericalValue + '\'' +
                '}';
    }
}
