package com.xkrs.model.entity;

import javax.persistence.*;

/**
 * @Author: XinYi Song
 * @Date: 2022/1/20 15:01
 */
@Entity
@Table(name = "file")
public class FileEntity {
    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "file_seq_gen")
    @SequenceGenerator(name = "file_seq_gen", sequenceName = "file_id_seq",allocationSize = 1)
    private Integer id;

    /**
     * 机种号
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String fileModelNumber;

    /**
     * 批次号
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String fileBatchNumber;

    /**
     * 机器号
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String fileMachineCode;

    /**
     * 产品编号
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String fileProductNumber;

    /**
     * 上传模板的路径
     */
    private String fileUploadPath;

    /**
     * 下载路径
     */
    private String fileDownloadPath;

    public FileEntity() {
    }

    public FileEntity(Integer id, String fileModelNumber, String fileBatchNumber, String fileMachineCode, String fileProductNumber, String fileUploadPath, String fileDownloadPath) {
        this.id = id;
        this.fileModelNumber = fileModelNumber;
        this.fileBatchNumber = fileBatchNumber;
        this.fileMachineCode = fileMachineCode;
        this.fileProductNumber = fileProductNumber;
        this.fileUploadPath = fileUploadPath;
        this.fileDownloadPath = fileDownloadPath;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getFileModelNumber() {
        return fileModelNumber;
    }

    public void setFileModelNumber(String fileModelNumber) {
        this.fileModelNumber = fileModelNumber;
    }

    public String getFileBatchNumber() {
        return fileBatchNumber;
    }

    public void setFileBatchNumber(String fileBatchNumber) {
        this.fileBatchNumber = fileBatchNumber;
    }

    public String getFileMachineCode() {
        return fileMachineCode;
    }

    public void setFileMachineCode(String fileMachineCode) {
        this.fileMachineCode = fileMachineCode;
    }

    public String getFileProductNumber() {
        return fileProductNumber;
    }

    public void setFileProductNumber(String fileProductNumber) {
        this.fileProductNumber = fileProductNumber;
    }

    public String getFileUploadPath() {
        return fileUploadPath;
    }

    public void setFileUploadPath(String fileUploadPath) {
        this.fileUploadPath = fileUploadPath;
    }

    public String getFileDownloadPath() {
        return fileDownloadPath;
    }

    public void setFileDownloadPath(String fileDownloadPath) {
        this.fileDownloadPath = fileDownloadPath;
    }

    @Override
    public String toString() {
        return "FileEntity{" +
                "id=" + id +
                ", fileModelNumber='" + fileModelNumber + '\'' +
                ", fileBatchNumber='" + fileBatchNumber + '\'' +
                ", fileMachineCode='" + fileMachineCode + '\'' +
                ", fileProductNumber='" + fileProductNumber + '\'' +
                ", fileUploadPath='" + fileUploadPath + '\'' +
                ", fileDownloadPath='" + fileDownloadPath + '\'' +
                '}';
    }
}
