package com.xkrs.model.qo;

import com.xkrs.model.validation.FileQoInsert;
import javax.validation.constraints.NotBlank;

/**
 * @Author: XinYi Song
 * @Date: 2022/1/20 15:26
 */
public class FileQo {

    /**
     * 机种号
     */
    @NotBlank(message = "{FileEntity.fileModelNumber.blank}",groups={FileQoInsert.class})
    private String fileModelNumber;

    /**
     * 批次号
     */
    @NotBlank(message = "{FileEntity.fileBatchNumber.blank}",groups={FileQoInsert.class})
    private String fileBatchNumber;

    /**
     * 机器号
     */
    @NotBlank(message = "{FileEntity.fileMachineCode.blank}",groups={FileQoInsert.class})
    private String fileMachineCode;

    /**
     * 产品编号
     */
    @NotBlank(message = "{FileEntity.fileProductNumber.blank}",groups={FileQoInsert.class})
    private String fileProductNumber;

    /**
     * 上传模板的路径
     */
    @NotBlank(message = "{FileEntity.fileUploadPath.blank}",groups={FileQoInsert.class})
    private String fileUploadPath;

    public String getFileModelNumber() {
        return fileModelNumber;
    }

    public void setFileModelNumber(String fileModelNumber) {
        this.fileModelNumber = fileModelNumber;
    }

    public String getFileBatchNumber() {
        return fileBatchNumber;
    }

    public void setFileBatchNumber(String fileBatchNumber) {
        this.fileBatchNumber = fileBatchNumber;
    }

    public String getFileMachineCode() {
        return fileMachineCode;
    }

    public void setFileMachineCode(String fileMachineCode) {
        this.fileMachineCode = fileMachineCode;
    }

    public String getFileProductNumber() {
        return fileProductNumber;
    }

    public void setFileProductNumber(String fileProductNumber) {
        this.fileProductNumber = fileProductNumber;
    }

    public String getFileUploadPath() {
        return fileUploadPath;
    }

    public void setFileUploadPath(String fileUploadPath) {
        this.fileUploadPath = fileUploadPath;
    }
}
