package com.xkrs.util;

import com.xkrs.dao.DataDictDao;
import com.xkrs.model.entity.DataDict;
import org.springframework.data.jpa.domain.Specification;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestParam;

import javax.annotation.Resource;
import javax.persistence.criteria.CriteriaBuilder;
import javax.persistence.criteria.CriteriaQuery;
import javax.persistence.criteria.Predicate;
import javax.persistence.criteria.Root;
import java.util.ArrayList;
import java.util.List;

/**
 * @Author: XinYi Song
 * @Date: 2022/1/19 13:56
 */
@Component
public class Query {

    @Resource
    private DataDictDao dataDictDao;

    /**
     * 动态多条件查询字典信息
     * @return
     */
    public List<DataDict> selectDataDict(String dictChineseName,String dictEnglishName) {
        Specification<DataDict> specification = new Specification<DataDict>() {
            @Override
            public Predicate toPredicate(Root<DataDict> root, CriteriaQuery<?> criteriaQuery, CriteriaBuilder criteriaBuilder) {
                List<Predicate> list = new ArrayList<>();
                if(dictChineseName != null && !"".equals(dictChineseName)){
                    list.add(criteriaBuilder.equal(root.get("dictChineseName").as(String.class), dictChineseName));
                }
                if(dictEnglishName != null && !"".equals(dictEnglishName)){
                    list.add(criteriaBuilder.equal(root.get("dictEnglishName").as(String.class), dictEnglishName));
                }
                Predicate[] predicates = new Predicate[list.size()];
                return criteriaBuilder.and(list.toArray(predicates));
            }
        };
        return dataDictDao.findAll(specification);
    }
}
